Skip to content
GET /unified/accounting/employees

Partial response — use the "get" endpoint for the full object.

Query Parameters

Refer Specifying query parameters in Truto APIs

namestring

The display name of the employee

6 supported
Coupa
supported
Microsoft Dynamics 365 Business Central
supported
Oracle Netsuite
supported
QuickBooks
supported
Sage Intacct
supported
Zoho Books
supported
emailsobject[]

The emails of the employee

5 supported
Coupa
supported
Microsoft Dynamics 365 Business Central
supported
Oracle Netsuite
supported
QuickBooks
supported
Zoho Books
supported
emailstring

The email of the employee

typestring

The type of the email

role_namestring

Role of the employee.

1 supported
Coupa
supported
purchasing_employeeboolean

Whether the employee have a purchasing license or not.

Possible values:
falsetrue
1 supported
Coupa
supported
statusstring

Status of the employee.

Possible values:
activearchivedinactive
2 supported
Coupa
supported
activeinactive
QuickBooks
supported
activearchived
created_atstring · date-time

This represents the date when the employee was created

5 supported
Coupa
supported
Microsoft Dynamics 365 Business Central
supported
Oracle Netsuite
supported
QuickBooks
supported
Sage Intacct
supported
updated_atstring · date-time

This represents the date when the employee was updated

6 supported
Coupa
supported
Microsoft Dynamics 365 Business Central
supported
Oracle Netsuite
supported
QuickBooks
supported
Sage Intacct
supported
Xero
supported
first_namestring

The first name of the employee

5 supported
Coupa
supported
Microsoft Dynamics 365 Business Central
supported
Oracle Netsuite
supported
QuickBooks
supported
Xero
supported
last_namestring

The last name of the employee

5 supported
Coupa
supported
Microsoft Dynamics 365 Business Central
supported
Oracle Netsuite
supported
QuickBooks
supported
Xero
supported
sort_bystring

This should only accept items in ascending order.

Possible values:
emailsname
1 supported
Zoho Books
supported
Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_key_bystring

By default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.

Example: id
truto_ignore_limitboolean

Ignores the limit query parameter.

truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

next_cursorstring

The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.

resultobject[]

List of Employees

idstring
required·

The unique identifier for employee

7 supported
Coupa
supported
Microsoft Dynamics 365 Business Central
supported
Oracle Netsuite
supported
QuickBooks
supported
Sage Intacct
supported
Xero
supported
Zoho Books
supported
addressesobject[]
3 supported
Coupa
supported
Microsoft Dynamics 365 Business Central
supported
QuickBooks
supported
7 properties
citystring

The city of the address

countrystring

The country of the address

postal_codestring

The postal code of the address

statestring

The state of the address

street_1string

The street 1 of the address

street_2string

The street 2 of the address

typestring

The type of the address

created_atstring · date-time

This represents the date when the employee was created

5 supported
Coupa
supported
Microsoft Dynamics 365 Business Central
supported
Oracle Netsuite
supported
QuickBooks
supported
Sage Intacct
supported
emailsobject[]

The emails of the employee

5 supported
Coupa
supported
Microsoft Dynamics 365 Business Central
supported
Oracle Netsuite
supported
QuickBooks
supported
Zoho Books
supported
2 properties
emailstring

The email of the employee

typestring

The type of the email

first_namestring

The first name of the employee

5 supported
Coupa
supported
Microsoft Dynamics 365 Business Central
supported
Oracle Netsuite
supported
QuickBooks
supported
Xero
supported
last_namestring

The last name of the employee

5 supported
Coupa
supported
Microsoft Dynamics 365 Business Central
supported
Oracle Netsuite
supported
QuickBooks
supported
Xero
supported
namestring

The display name of the employee

6 supported
Coupa
supported
Microsoft Dynamics 365 Business Central
supported
Oracle Netsuite
supported
QuickBooks
supported
Sage Intacct
supported
Zoho Books
supported
phonesobject[]

The phone numbers of employee

4 supported
Microsoft Dynamics 365 Business Central
supported
Oracle Netsuite
supported
QuickBooks
supported
Zoho Books
supported
3 properties
extensionstring

The extension of the phone number

numberstring

The phone number

typestring

The type of phone

remote_dataRecord<string, any>

Raw data returned from the remote API call.

updated_atstring · date-time

This represents the date when the employee was updated

6 supported
Coupa
supported
Microsoft Dynamics 365 Business Central
supported
Oracle Netsuite
supported
QuickBooks
supported
Sage Intacct
supported
Xero
supported
curl -X GET 'https://api.truto.one/unified/accounting/employees?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/accounting/employees?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/accounting/employees"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.list(
  'accounting',
  'employees',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    async for item in truto_api.unified_api.list(
        "accounting",
        "employees",
        {"integrated_account_id": "<integrated_account_id>"}
    ):
        print(item)

asyncio.run(main())